<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                xmlns:tools="http://schemas.android.com/tools"
                android:orientation="vertical"
                android:paddingLeft="10dp"
                android:paddingRight="@dimen/platform_dp_10"
                android:paddingTop="@dimen/platform_dp_6"
                android:paddingBottom="@dimen/platform_dp_12">

    <TextView
        android:id="@+id/message_item_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="13dp"
        android:layout_marginTop="@dimen/im_bubble_time_layout_margin_top"
        android:paddingLeft="6dp"
        android:paddingRight="6dp"
        android:textColor="#cccccc"
        android:textSize="12dp"
        android:visibility="gone"
        tools:visibility="visible"
        tools:text="今天 13：05"
        />

    <com.yidianling.nimbase.common.ui.imageview.HeadImageView
        android:id="@+id/message_item_portrait_left"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_alignParentLeft="true"
        android:layout_below="@id/message_item_time"
        android:layout_marginRight="10dp"
        tools:visibility="visible"
        android:visibility="gone"
        tools:src="@drawable/platform_head_place_hold_pic"
        />

    <TextView
        android:id="@+id/text_zhujiangren6"
        android:layout_width="40dip"
        android:layout_height="wrap_content"
        android:layout_below="@+id/message_item_portrait_left"
        android:layout_marginTop="-5dp"
        android:background="@drawable/im_bg_radius_yellow_10"
        android:gravity="center"
        android:paddingLeft="2dp"
        android:paddingTop="1dp"
        android:paddingRight="2dp"
        android:paddingBottom="1dp"
        android:text="讲师"
        android:textColor="@color/im_white"
        android:textSize="@dimen/im_text_size_10"
        android:visibility="gone"
        tools:visibility="visible"
        />

    <com.yidianling.nimbase.common.ui.imageview.HeadImageView
        android:id="@+id/message_item_portrait_right"
        android:layout_width="36dp"
        android:layout_height="36dp"
        android:layout_alignParentRight="true"
        android:layout_below="@id/message_item_time"
        android:layout_marginLeft="10dp"
        android:visibility="gone"
        tools:visibility="visible"
        tools:src="@drawable/platform_head_place_hold_pic"
        />

    <LinearLayout
        android:id="@+id/message_item_name_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/message_item_time"
        android:layout_toLeftOf="@id/message_item_portrait_right"
        android:layout_toRightOf="@id/message_item_portrait_left"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/message_item_name_icon"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/message_item_time"
            android:layout_marginBottom="3dp"
            android:layout_marginRight="3dp"
            android:layout_toRightOf="@id/message_item_portrait_left"
            android:visibility="gone"
            tools:visibility="visible"
            />

        <TextView
            android:id="@+id/message_item_nickname"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/message_item_time"
            android:layout_marginBottom="3dp"
            android:layout_marginTop="-3dp"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:maxWidth="160dip"
            android:singleLine="true"
            android:textColor="#000000"
            android:textSize="12sp"
            android:visibility="gone"
            tools:visibility="visible"
            tools:text="今天 13：05"
            />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/content_width"
        android:layout_below="@id/message_item_name_layout"
        android:layout_toStartOf="@id/message_item_portrait_right"
        android:layout_toEndOf="@id/message_item_portrait_left">

        <LinearLayout
            android:id="@+id/message_item_body"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent"
            android:gravity="bottom"
            android:orientation="horizontal">

            <ProgressBar
                android:id="@+id/message_item_progress"
                android:layout_width="20dip"
                android:layout_height="20dip"
                android:layout_gravity="center"
                android:layout_marginLeft="2dp"
                android:layout_marginRight="2dp"
                android:indeterminate="true"
                android:indeterminateDrawable="@drawable/im_nim_progress_small_white"
                android:visibility="gone"
                tools:visibility="visible"
                />

            <ImageView
                android:id="@+id/message_item_alert"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="2dp"
                android:layout_marginRight="2dp"
                android:src="@drawable/im_nim_ic_failed"
                android:visibility="gone"
                tools:visibility="visible"
                />

            <include
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginRight="@dimen/dp_4"
                layout="@layout/im_nim_read_recipt_layout" />

            <TextView
                android:id="@+id/team_ack_msg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:paddingTop="5dp"
                android:layout_marginBottom="3dip"
                android:background="@color/im_transparent"
                android:textColor="#666666"
                android:textSize="12sp"/>

            <TextView
                android:id="@+id/audio_left_small_tip"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:text="倾"
                android:gravity="center"
                android:textColor="#1DA1F2"
                android:textSize="10dp"
                android:visibility="gone"
                android:background="@drawable/im_nim_confide_left_tip_bg"/>

            <FrameLayout
                android:id="@+id/message_item_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@android:color/transparent" />

            <TextView
                android:id="@+id/audio_right_small_tip"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:text="倾"
                android:gravity="center"
                android:textColor="#1DA1F2"
                android:textSize="10dp"
                android:visibility="gone"
                android:background="@drawable/im_nim_confide_right_tip_bg"/>

        </LinearLayout>
    </FrameLayout>
</RelativeLayout>
